// Fill out your copyright notice in the Description page of Project Settings.


#include "Interactible.h"
#include "Interaction.h"

// Sets default values for this component's properties
UInteractible::UInteractible()
{
	// Set this component to be initialized when the game starts, and to be ticked every frame.  You can turn these features
	// off to improve performance if you don't need them.
	PrimaryComponentTick.bCanEverTick = false;

	// ...
}


// Called when the game starts
void UInteractible::BeginPlay()
{
	Super::BeginPlay();

	// ...
	
}

void UInteractible::Interact()
{
	// Interaction->Interact();
}
